function res = computeFd( q, s, Fk )
//-----------------------------------------------------------------------  
//function res = computeFd( q, s, Fk )
//
// Berechnung der Fourierdeskriptoren eines Polygonzuges
//
// input:    Fk	       Fourierkoeffizienten inp1   
//           q         Index des auf den zu normierenden Fourierkoef.
//           s         Rotationssymmetrie des Polygonzuges
// 
// output:   res       Fourier descriptors
//-----------------------------------------------------------------------  
//   $RCSfile: computeFd.sci,v $
//  $Revision: 1.1 $
//      $Date: 2002/09/10 15:15:36 $
//  Copyright: IIF-LMB $Author: poluru $
//
//-----------------------------------------------------------------------
//  $Log: 
//-----------------------------------------------------------------------
  
// Entfernen des Koef. nullter Ordnung
  l=length(Fk);  
  n = floor(l/2);
  Fk(n+1) = 0;

  // Indexvektor
  N = [ -n:n ]'; 
  
  // Betragsnormierung
  Fd = abs(Fk) ./ abs(Fk(n+1+q));

  // Phasennormierung
  phi1 = atan(imag(Fk(1:n)),real(Fk(1:n)));
  phi2 = atan(imag(Fk(n+2:l)),real(Fk(n+2:l)));
  phi = [phi1;0;phi2];
  phi = phi + (q - N)./s .* atan( imag(Fk(n+1+q+s)), real(Fk(n+1+q+s)) );
  phi = phi - (q + s - N)./s .* atan( imag(Fk(n+1+q)),real(Fk(n+1+q)) );
  
  // Fourierdeskriptoren
  res = Fd .* exp( %i.*phi );
  
endfunction

