function res = pollineCog(p)
//-----------------------------------------------------------------------  
// function res = pollineCog(p)
//
// is a function for  finding the line center of gravity of a polygon 
//
// input:    p       is a matrix with indices of polygon as elements
//
// output:   res     polygon line center of gravity, and is a
//                   2*1 vector 
//
//-----------------------------------------------------------------------  
//   $RCSfile: pollinecog.sci,v $
//  $Revision: 1.1 $
//      $Date: 2002/09/10 15:15:36 $
//  Copyright: IIF-LMB $Author: poluru $
//
//-----------------------------------------------------------------------
//  $Log:
//-----------------------------------------------------------------------

  
  [out, in] = argn(0);
  if in ~=1,
    error('wrong number of input arguments.');
  end;

  // finding the no. of indices
  n = size(p,2);
  
  // finding the lengthof boundary
  q= fcycltrans(p,0,1)
  
  s= (q+p) ; d = abs(q-p);
  clx = 0.5 * sum( s(1,:) .* d(1,:) ) / sum( d(1,:) ) ;
  cly = 0.5 * sum( s(2,:) .* d(2,:) ) / sum( d(2,:) ) ;
  res= [clx; cly] ;
  
endfunction;
