function bc = binom_coeff(n,k);  
//-----------------------------------------------------------------------  
// function bc = binom_coeff(n,k);  
//
// calculation of binomial-coefficient "k out of n". 
//
// input:    n            a positive integer
//           k            an integer from 0 to n
//
// output:   bc           binomial coefficient
//
//-----------------------------------------------------------------------  
//   $RCSfile: binom_coeff.sci,v $
//  $Revision: 1.1 $
//      $Date: 2002/09/10 15:15:36 $
//  Copyright: IIF-LMB $Author: poluru $
//
//-----------------------------------------------------------------------
//  $Log: 
//-----------------------------------------------------------------------
  
  [out, in] = argn(0);
  
  if in ~=2,
    error("error in the number of input arguments!");
  end;
  
  if n<0 ,
    error("Enter a positive integer for n");
  end;
  
  if  k<0 | k>n,
    error("K value should be in between 0 and n i.e. >0 & <"+ string(n));
  end;
  
  bc = prod(2:n)/(prod(2:k)*prod(2:(n-k)));
  
endfunction;
